Loading...
Searching...
No Matches
pcl::IntensityGradient Struct Reference
Module common

A point structure representing the intensity gradient of an XYZI point cloud. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | IntensityGradient ()
constexpr | IntensityGradient (float _x, float _y, float _z)

## Public Attributes

union { |
float gradient [3] |
struct { |
float gradient_x |
float gradient_y |
float gradient_z |
} |
}; |

## Friends

std::ostream & | operator<< (std::ostream &os, const IntensityGradient &p)

## Detailed Description

A point structure representing the intensity gradient of an XYZI point cloud.

Definition at line 1574 of file point_types.hpp.

## Constructor & Destructor Documentation

## IntensityGradient() [1/2]

pcl::IntensityGradient::IntensityGradient | ( |  | ) |

inline constexpr

Definition at line 1587 of file point_types.hpp.

References IntensityGradient().

Referenced by IntensityGradient(), and operator<<.

## IntensityGradient() [2/2]

pcl::IntensityGradient::IntensityGradient | ( | float | _x,
|  | float | _y,
|  | float | _z )

inline constexpr

Definition at line 1589 of file point_types.hpp.

References gradient_x, gradient_y, and gradient_z.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const IntensityGradient & | p )

friend

References IntensityGradient().

## Member Data Documentation

## [union]

union { ... } pcl::IntensityGradient

## gradient

float pcl::IntensityGradient::gradient[3]

Definition at line 1578 of file point_types.hpp.

## gradient_x

float pcl::IntensityGradient::gradient_x

Definition at line 1581 of file point_types.hpp.

Referenced by IntensityGradient().

## gradient_y

float pcl::IntensityGradient::gradient_y

Definition at line 1582 of file point_types.hpp.

Referenced by IntensityGradient().

## gradient_z

float pcl::IntensityGradient::gradient_z

Definition at line 1583 of file point_types.hpp.

Referenced by IntensityGradient().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp